Bug 1253460 - WebUI: Center toolbar disappears after clicking on search button
WebUI: Center toolbar disappears after clicking on search button
Status: CLOSED ERRATA
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: UI - OPS (Show other bugs)
5.4.0
Unspecified Unspecified
unspecified Severity medium
: GA
: 5.5.0
Assigned To: Roman Blanco
Ramesh A
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-08-13 14:10 EDT by Ramesh A
Modified: 2015-12-08 08:27 EST (History)
7 users (show)

See Also:
Fixed In Version: 5.5.0.10
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-12-08 08:27:06 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
search-before (103.76 KB, image/png)
2015-08-13 14:10 EDT, Ramesh A
no flags Details
search-after (95.33 KB, image/png)
2015-08-13 14:10 EDT, Ramesh A
no flags Details

  None (edit)
Description Ramesh A 2015-08-13 14:10:04 EDT
Created attachment 1062750 [details]
search-before

Description of problem:
Center toolbar disappears after clicking on search button + space between search field and table is canceled:

Version-Release number of selected component (if applicable):
5.4.1.0.20150717083323_6ed7e1c

How reproducible:
Very

Steps to Reproduce:
1. Navigate to Control ==> Explorer ==> Actions
2. Click on the search botton (lens icon) and observe the center toolbar

Actual results:
Center toolbar disappears. Refer the screenshot for more details.

Expected results:
Should not disappear

Additional info:
Comment 1 Ramesh A 2015-08-13 14:10:37 EDT
Created attachment 1062751 [details]
search-after
Comment 2 Ramesh A 2015-08-13 14:11:02 EDT
Github link - https://github.com/ManageIQ/manageiq/issues/3853
Comment 5 CFME Bot 2015-11-02 10:25:03 EST
New commit detected on ManageIQ/manageiq/master:
https://github.com/ManageIQ/manageiq/commit/e6139aaa50a919ee2aad6f5d85d480d2ae938250

commit e6139aaa50a919ee2aad6f5d85d480d2ae938250
Author:     Roman Blanco <rblanco@redhat.com>
AuthorDate: Wed Oct 28 01:05:54 2015 +0100
Commit:     Roman Blanco <rblanco@redhat.com>
CommitDate: Mon Nov 2 12:05:43 2015 +0100

    Fixed disappearing center toolbar in Actions Explorer
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1253460

 app/controllers/miq_policy_controller.rb | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)
Comment 6 CFME Bot 2015-11-04 13:44:25 EST
New commit detected on cfme/5.5.z:
https://code.engineering.redhat.com/gerrit/gitweb?p=cfme.git;a=commitdiff;h=64b97dc2675181bd61d8f8e833fe4ae8296c0689

commit 64b97dc2675181bd61d8f8e833fe4ae8296c0689
Author:     Roman Blanco <rblanco@redhat.com>
AuthorDate: Wed Oct 28 01:05:54 2015 +0100
Commit:     Roman Blanco <rblanco@redhat.com>
CommitDate: Wed Nov 4 11:42:51 2015 +0100

    Fixed disappearing center toolbar in Actions Explorer
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1253460

 app/controllers/miq_policy_controller.rb | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)
Comment 7 CFME Bot 2015-11-04 13:45:12 EST
New commit detected on cfme/5.5.z:
https://code.engineering.redhat.com/gerrit/gitweb?p=cfme.git;a=commitdiff;h=e983e500990328f0deabfc72720d266f6df8863e

commit e983e500990328f0deabfc72720d266f6df8863e
Merge: fc16beb 64b97dc
Author:     Dan Clarizio <dclarizi@redhat.com>
AuthorDate: Wed Nov 4 12:32:28 2015 -0500
Commit:     Dan Clarizio <dclarizi@redhat.com>
CommitDate: Wed Nov 4 12:32:28 2015 -0500

    Merge branch 'center_tb_disappears' into '5.5.z'
    
    Fixed disappearing center toolbar in Actions Explorer
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1253460
    
    See merge request !345

 app/controllers/miq_policy_controller.rb | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)
Comment 8 Ramesh A 2015-11-25 01:55:06 EST
Good to go.  Verified and working fine in 5.5.0.12-rc2.20151124135609_653c0d4
Comment 10 errata-xmlrpc 2015-12-08 08:27:06 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2015:2551

Note You need to log in before you can comment on or make changes to this bug.